%define _prefix /opt/lscsoft/libframe
%define _sysconfdir %{_prefix}/etc
%define _docdir %{_datadir}/doc

Name: libframe
Version: 8.04
Release: 1.lscsoft
Summary: LIGO/VIRGO frame library
License: ?
Group: LAL
Source: %{name}-%{version}.tar.gz
URL: http://lappweb.in2p3.fr/virgo/FrameL
Packager: Kipp Cannon (kipp@graviy.phys.uwm.edu)
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: zlib
BuildPrereq: zlib-devel
#BuildPrereq: python-devel
#BuildPrereq: numarray
Obsoletes: frame
Prefix: %{_prefix}
%description
A Common Data Frame Format for Interferometric Gravitational Wave Detector
has been developed by VIRGO and LIGO.  The Frame Library is a software
dedicated to the frame manipulation including file input/output.

This package contains the shared-object library needed to run libframe
applications.


%package devel
Summary: Files and documentation needed for compiling libframe programs
Group: LAL
Requires: %{name} = %{version}
Requires: zlib-devel
%description devel
A Common Data Frame Format for Interferometric Gravitational Wave Detector
has been developed by VIRGO and LIGO.  The Frame Library is a software
dedicated to the frame manipulation including file input/output.

This package contains the files needed for building libframe programs, as
well as the documentation for the library.


%package utils
Summary: Frame file manipulation utilities
Group: LAL
Requires: %{name} = %{version}
%description utils
A Common Data Frame Format for Interferometric Gravitational Wave Detector
has been developed by VIRGO and LIGO.  The Frame Library is a software
dedicated to the frame manipulation including file input/output.

This package contains some utilities for manipulating frame files.


#%package python
#Summary: Python language bindings for libframe
#Group: LAL
#Requires: %{name} = %{version}
#%description python
#A Common Data Frame Format for Interferometric Gravitational Wave Detector
#has been developed by VIRGO and LIGO.  The Frame Library is a software
#dedicated to the frame manipulation including file input/output.
#
#This package contains Python language bindings for the frame library.


#%package matlab
#Summary: Matlab bindings for libframe
#Group: ?
#Requires: %{name} = %{version}
#Conflicts: frame-matlab
#%description matlab
#A Common Data Frame Format for Interferometric Gravitational Wave Detector
#has been developed by VIRGO and LIGO.  The Frame Library is a software
#dedicated to the frame manipulation including file input/output.
#
#This package contains Matlab modules for manipulating frame files from
#within Matlab.


#%package octave
#Summary: Octave bindings for libframe
#Group: LAL
#Requires: %{name} = %{version}
#Requires: octave = 
#%description octave
#A Common Data Frame Format for Interferometric Gravitational Wave Detector
#has been developed by VIRGO and LIGO.  The Frame Library is a software
#dedicated to the frame manipulation including file input/output.
#
#This package contains Octave modules for manipulating frame files from
#within Octave.


#%package root
#Summary: Root bindings for libframe
#Group: LAL
#Requires: %{name} = %{version}
#%description root
#A Common Data Frame Format for Interferometric Gravitational Wave Detector
#has been developed by VIRGO and LIGO.  The Frame Library is a software
#dedicated to the frame manipulation including file input/output.
#
#This package contains Root modules for manipulating frame files from
#within Root.


%prep
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}
%setup -q


%build
%if "#"
%configure --disable-python
%else
%configure
%endif
%{__make}


%install
%{__make} install DESTDIR=%{buildroot} docdir=%{_docdir}/%{name}-devel-%{version}


%post
ldconfig


%postun
ldconfig


%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}


%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_sysconfdir}/*

%files devel
%defattr(-,root,root)
%{_libdir}/*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_docdir}/*

%files utils
%defattr(-,root,root)
%{_bindir}/*

#%files python
#%defattr(-,root,root)
#%{_libdir}/python*/site-packages/*

#%files matlab
#%defattr(-,root,root)

#%files octave
#%defattr(-,root,root)
#/*
#/*

#%files root
#%defattr(-,root,root)
